﻿using System;
using System.Data;
using System.Windows.Forms;

namespace TextControlXmlInGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            ds.ReadXml(@"test.xml");

            foreach (DataTable dataTable in ds.Tables)
            {
                DataGridView dataGridView = new DataGridView();
                dataGridView.Dock = DockStyle.Top;
                dataGridView.DataSource = dataTable;

                dataGridView.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.DisplayedCells;
                dataGridView.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
                dataGridView.AllowUserToOrderColumns = true;
                dataGridView.AllowUserToResizeColumns = true;

                Controls.Add(dataGridView);

                Label label = new Label();
                label.Text = dataTable.TableName;
                label.Dock = DockStyle.Top;
                Controls.Add(label);
            }
        }
    }
}